--
-- Kuali Coeus, a comprehensive research administration system for higher education.
--
-- Copyright 2005-2016 Kuali, Inc.
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU Affero General Public License as
-- published by the Free Software Foundation, either version 3 of the
-- License, or (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU Affero General Public License for more details.
--
-- You should have received a copy of the GNU Affero General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--

ALTER TABLE NSF_CODES ADD YEAR NUMBER(4,0);

UPDATE NSF_CODES SET YEAR = 2015;

ALTER TABLE NSF_CODES ADD CONSTRAINT UQ_NSF_CODES_YEAR
UNIQUE (NSF_CODE, YEAR);

ALTER TABLE NSF_CODES ADD CONSTRAINT UQ_NSF_CODES_OBJ_ID
UNIQUE (OBJ_ID);

ALTER TABLE NSF_CODES MODIFY YEAR NUMBER(4,0) NOT NULL;


INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'A.01',2016,'Computer and Information Sciences: A.01','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'B.01',2016,'Aerospace, Aeronautical, and Astronautical Engineering - Engineering: B.01','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'B.02',2016,'Bioengineering and Biomedical Engineering - Engineering: B.02','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'B.03',2016,'Chemical Engineering - Engineering: B.03','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'B.04',2016,'Civil Engineering - Engineering: B.04','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'B.05',2016,'Electrical, Electronic, and Communications Engineering - Engineering: B.05','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'B.06',2016,'Industrial and Manufacturing Engineering - Engineering: B.06','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'B.07',2016,'Mechanical Engineering - Engineering: B.07','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'B.08',2016,'Metallurgical and Materials Engineering - Engineering: B.08','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'B.09',2016,'Other Engineering - Engineering: B.09','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'C.01',2016,'Atmospheric Science and Meteorology - Geosciences, Atmospheric, and Ocean Sciences: C.01','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'C.02',2016,'Geological and Earth Sciences - Geosciences, Atmospheric, and Ocean Sciences: C.02','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'C.03',2016,'Ocean Sciences and Marine Sciences - Geosciences, Atmospheric, and Ocean Sciences: C.03','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'C.04',2016,'Other Geosciences, Atmospheric and Ocean Sciences - Geosciences, Atmospheric, and Ocean Sciences: C.04','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'D.01',2016,'Agricultural Sciences - Life Sciences: D.01','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'D.02',2016,'Biological and Biomedical Sciences - Life Sciences: D.02','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'D.03',2016,'Health Sciences - Life Sciences: D.03','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'D.04',2016,'Natural Resources and Conservation - Life Sciences: D.04','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'D.05',2016,'Other Life Sciences - Life Sciences: D.05','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'E.01',2016,'Mathematics and Statistics: E.01','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'F.01',2016,'Astronomy and Astrophysics - Physical Sciences: F.01','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'F.02',2016,'Chemistry - Physical Sciences: F.02','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'F.03',2016,'Materials Science - Physical Sciences: F.03','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'F.04',2016,'Physics - Physical Sciences: F.04','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'F.05',2016,'Other Physical Sciences - Physical Sciences: F.05','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'G.01',2016,'Psychology: G.01','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'H.01',2016,'Anthropology - Social Sciences: H.01','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'H.02',2016,'Economics - Social Sciences: H.02','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'H.03',2016,'Political Science and Government - Social Sciences: H.03','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'H.04',2016,'Sociology, Demography, and Population Studies - Social Sciences: H.04','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'H.05',2016,'Other Social Sciences - Social Sciences: H.05','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'I.01',2016,'Other Sciences: I.01','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'J.01',2016,'Education - Non-S&E Fields: J.01','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'J.02',2016,'Law - Non-S&E Fields: J.02','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'J.03',2016,'Humanities - Non-S&E Fields: J.03','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'J.04',2016,'Visual and Performing Arts - Non-S&E Fields: J.04','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'J.05',2016,'Business Management and Business Administration - Non-S&E Fields: J.05','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'J.06',2016,'Communication and Communications Technologies - Non-S&E Fields: J.06','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'J.07',2016,'Social Work - Non-S&E Fields: J.07','admin',sysdate,SYS_GUID(),1);

INSERT INTO NSF_CODES (NSF_SEQUENCE_NUMBER,NSF_CODE,YEAR,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR)
VALUES (SEQUENCE_NSF_CODES.nextVal,'J.08',2016,'Other Non-S&E Fields - Non-S&E Fields: J.08','admin',sysdate,SYS_GUID(),1);
